# Class SnapshotRecursiveSummary

java.lang.Object
org.apache.zookeeper.server.SnapshotRecursiveSummary

@Public public class SnapshotRecursiveSummary extends Object
Recursively processes a snapshot file collecting child node count and summarizes the data size below each node. "starting_node" defines the node where the recursion starts "max_depth" defines the depth where the tool still writes to the output. 0 means there is no depth limit, every non-leaf node's stats will be displayed, 1 means it will only contain the starting node's and it's children's stats, 2 ads another level and so on. This ONLY affects the level of details displayed, NOT the calculation.

## Constructor Summary

Constructors
Constructor
Description
`SnapshotRecursiveSummary()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getUsage()`
`static void`
`main(String[] args)`
USAGE: SnapsotRecursiveSummary snapshot_file starting_node max_depth
`void`
`run(String snapshotFileName, String startingNode, int maxDepth)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SnapshotRecursiveSummary

public SnapshotRecursiveSummary()

## Method Details

### main

public static void main(String[] args) throws Exception
USAGE: SnapsotRecursiveSummary snapshot_file starting_node max_depth

Throws:
  `Exception`

### run

public void run(String snapshotFileName, String startingNode, int maxDepth) throws IOException

Throws:
  `IOException`

### getUsage

public static String getUsage()